/* Video Module for HTML5, single source, updated 8 April 2013
	note:  HTML5 players return and accept video time in seconds; IVT counts in 1/10 sec
	core function = required by IVT main functions
	internal routine = internal to this video api file
	all variables declared in this file are internal */
	
var Secs = 0;
var duration = 0;
var vPlayer;
var fullScreen = false;						/* required: set to true if interface supports fullscreen */

function insertVideo()						/* core function */
{
	document.write('<video id="videoPlayer" width="'  + videoW  + '" height="'  + videoH  + '" ondurationchange="logNewDuration();" oncanplay="vPlayerReady();" poster="img/black.gif" >Your browser does not support HTML5 video</video>');
	vPlayer = document.getElementById('videoPlayer');
	if (window.win2) win2.document.write("insert Video complete<br />");
	vLoaded = true;
}

function vPlayerReady()				/* internal routine */
{
	if (window.win2) win2.document.write("* vPlayerReady<br />");
	vLoaded = true;
    enableContr();
}

function logNewDuration()		/* internal routine */
{
    duration = vPlayer.duration;
    duration = (10 * duration)/1 | 0;	
    vLoaded = true;														/* this variable must be set when  video is ready */
	if (window.win2) win2.document.write("duration logged:" + duration + "; pageMax:" + pageMax +  "; vLoaded: " + vLoaded + "<br />");
	if (sessionNum > 0) setTimeout("jumpPage();",300);
	else pausePlayer();
}

function setVideoTime()						/* core function */
{
	var seekTime = pageTime/10 | 0;
	if (window.win2) win2.document.write("* setVideoTime = " + seekTime + "<br />");
	if (seekTime > 0) vPlayer.currentTime = seekTime;
	else vPlayer.currentTime =1;
}

function setNewVideo()							/* core function */
{
	var vidToLoad = sessionIndex[sessionNum][1];
	if (window.win2) win2.document.write("* setNewVideo: vidToLoad = " + vidToLoad + "<br />");
	vPlayer.src = vidToLoad;
	vLoaded = false;
}

function setPlayRate()												/* core for editor only */
{
	document.controls.rateBox.value = 1;					/* replace if browser supports function */
}

function startPlayer()								/* core function */
{
	vPlayer.play();
}

function pausePlayer()							/* core function */
{
	vPlayer.pause();
}

function getCurrentTime()						/* core function */
{
    Secs = vPlayer.currentTime;
    var secTenths = Secs * 10
    secTenths = Math.floor(secTenths);
    return(secTenths);
}

function checkForEnd()							/* core function */
{
    duration = vPlayer.duration;
	if (Secs == duration) return (true);
}